import 'package:viqcore_flutter/viqcore_flutter.dart';

import '../entities/company.dart';

Future<ApiResponse<Company>> changeSubscriptionPlan({
  required String planId,
}) {
  return 'changeSubscriptionPlan'.gql(
    Company.fragment,
    params: {
      'planId': planId,
    },
  ).mutation(transformer: (data) => Company.fromJson(data));
}
