import 'package:viqcore_flutter/viqcore_flutter.dart';

import '../entities/company.dart';

Future<ApiResponse<Company>> registerCompany({
  required String username,
  required String password,
  required String phone,
  required String code,
}) {
  return 'registerCompany'.gql([
    'company'.gql(
      Company.fragment,
    )
  ], params: {
    'username': username,
    'password': password,
    'phone': phone,
    'code': code,
  }).mutation(transformer: (data) => Company.fromJson(data['company']));
}
