part of 'api.dart';

extension QuickApiOnString on String {
  GraphQLQuery gql(List<dynamic> fields, {Map<String, dynamic>? params}) {
    return GraphQLQuery(this, fields, params: params);
  }

  RestQuery api({
    dynamic body,
    Map<String, dynamic>? queryParameters,
  }) {
    return RestQuery(this, body: body, queryParameters: queryParameters);
  }
}

extension QuickApiOnMap on Map<String, dynamic> {
  RestBody get asFormData => RestBody(formData: true)..addMap(this);
}
