import 'package:dio/dio.dart';

extension DioExceptionHelper on DioException {
  bool get isNetworkError =>
      type == DioExceptionType.connectionError ||
      type == DioExceptionType.connectionTimeout ||
      type == DioExceptionType.receiveTimeout ||
      type == DioExceptionType.sendTimeout;
}
